%define majver %(echo %version | cut -d. -f1-2)
%define minver %(echo %version | cut -d. -f3)
Name:          groupoffice
Version:       25.0.28
Release:       1mamba
Summary:       Group-Office is a powerful modular Internet/Intranet application framework
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.group-office.com/
Source:        https://sourceforge.net/projects/group-office/files/%{majver}/groupoffice-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: apache-devel
## AUTOBUILDREQ-END
BuildArch:     noarch
Requires:      php-mysqli
#Requires:      libwbxml2
#Requires:      tnef

%description
Group-Office is a powerful modular Internet/Intranet application framework. It features a calendar, project management, e-mail, tasks, addressbook, file management. Everything is designed to collaborate online

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/var/www/html/groupoffice
cp -R * %{buildroot}/var/www/html/groupoffice
#touch %{buildroot}/var/www/html/groupoffice/config.php
mkdir %{buildroot}/var/www/html/groupoffice/local/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

#%post
#mkdir /home/groupoffice
#chown apache:apache /home/groupoffice

%files
%defattr(-,apache,apache)
%dir %{_localstatedir}/www/html/groupoffice
%{_localstatedir}/www/html/groupoffice/*.php
#%{_localstatedir}/www/html/groupoffice/composer.*
%{_localstatedir}/www/html/groupoffice/config.php.example
%{_localstatedir}/www/html/groupoffice/groupoffice*
%{_localstatedir}/www/html/groupoffice/robots.txt
%{_localstatedir}/www/html/groupoffice/api
%{_localstatedir}/www/html/groupoffice/favicon.ico
%{_localstatedir}/www/html/groupoffice/controller
%{_localstatedir}/www/html/groupoffice/go
%{_localstatedir}/www/html/groupoffice/install
%{_localstatedir}/www/html/groupoffice/language
%{_localstatedir}/www/html/groupoffice/modules
%{_localstatedir}/www/html/groupoffice/vendor
%{_localstatedir}/www/html/groupoffice/views

%changelog
* Sat Jun 07 2025 Automatic Build System <autodist@openmamba.org> 25.0.28-1mamba
- automatic version update by autodist

* Sat May 24 2025 Automatic Build System <autodist@openmamba.org> 25.0.23-1mamba
- automatic version update by autodist

* Sun May 04 2025 Automatic Build System <autodist@openmamba.org> 25.0.19-1mamba
- automatic version update by autodist

* Wed Apr 16 2025 Automatic Build System <autodist@openmamba.org> 25.0.17-1mamba
- automatic version update by autodist

* Wed Apr 02 2025 Automatic Build System <autodist@openmamba.org> 25.0.11-1mamba
- automatic version update by autodist

* Sat Mar 22 2025 Automatic Build System <autodist@openmamba.org> 25.0.9-1mamba
- automatic version update by autodist

* Fri Mar 14 2025 Automatic Build System <autodist@openmamba.org> 25.0.7-1mamba
- automatic version update by autodist

* Mon Dec 30 2024 Automatic Build System <autodist@openmamba.org> 6.8.91-1mamba
- automatic update by autodist

* Tue Apr 09 2024 Automatic Build System <autodist@openmamba.org> 6.8.42-1mamba
- automatic update by autodist

* Wed Mar 06 2024 Automatic Build System <autodist@openmamba.org> 6.8.37-1mamba
- automatic update by autodist

* Fri Feb 23 2024 Automatic Build System <autodist@openmamba.org> 6.8.35-1mamba
- automatic update by autodist

* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 6.8.33-1mamba
- automatic update by autodist

* Sun Oct 29 2023 Automatic Build System <autodist@mambasoft.it> 6.8.11-1mamba
- automatic update by autodist

* Sun Apr 02 2023 Automatic Build System <autodist@mambasoft.it> 6.6.99-1mamba
- automatic update by autodist

* Wed Mar 30 2022 Automatic Build System <autodist@mambasoft.it> 6.6.58-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 6.6.48-1mamba
- automatic version update by autodist

* Fri Mar 04 2022 Automatic Build System <autodist@mambasoft.it> 6.6.47-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 6.6.45-1mamba
- automatic version update by autodist

* Fri Feb 18 2022 Automatic Build System <autodist@mambasoft.it> 6.6.42-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.40-1mamba
- update to 6.5.40

* Fri Jun 17 2011 Automatic Build System <autodist@mambasoft.it> 3.5.40-1mamba
- automatic update by autodist

* Mon Aug 16 2010 Automatic Build System <autodist@mambasoft.it> 3.5.21-1mamba
- automatic update by autodist

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 3.5.9-1mamba
- automatic update by autodist

* Mon Jun 28 2010 Automatic Build System <autodist@mambasoft.it> 3.5.8-1mamba
- automatic update by autodist

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 3.5.5-1mamba
- update to 3.5.5
 3.02.9-1mamba
- update to 3.02.9
- removed unsecure post script (don't create any /home directory and/or set permissions there), needs new testing
- added requirement for php-mysqli and tnef
* Mon Jul 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it>

* Sat Jun 06 2009 Fabio Giani <fabio.giani@gmail.com> 3.01-2mamba
- Added requirements
* Sat Jun 06 2009 Fabio Giani <fabio.giani@gmail.com> 3.01-1mamba
- update to 3.01
* Mon Feb 11 2008 Fabio Giani <fabio.giani@gmail.com> 2.18-1mamba
- package created by autospec
